Groovy 1.7.0

## org.codehaus.groovy.util
Enum ReferenceType

    java.lang.Object
      java.lang.Enum
          org.codehaus.groovy.util.ReferenceType

    enum ReferenceType
    extends Enum

Nested Class Summary
`class` | `SoftRef`

Enum Constant Summary
`HARD`
`PHANTOM`
`SOFT`
`WEAK`

Method Summary
`protected Reference` | `createReference(T value, V handler, ReferenceQueue queue)`
`ReferenceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`ReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class Enum
name, hashCode, compareTo, compareTo, equals, toString, valueOf, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Enum Constant Detail

### HARD

    ReferenceType HARD

### PHANTOM

    ReferenceType PHANTOM

### SOFT

    ReferenceType SOFT

### WEAK

    ReferenceType WEAK

Method Detail

### createReference

    protected Reference createReference(T value, V handler, ReferenceQueue queue)

### valueOf

    ReferenceType valueOf(String name)

  Returns the enum constant of this type with the specified name.

### values

    ReferenceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared.

Copyright © 2003-2009 The Codehaus. All rights reserved.